Class | ActionController::Dispatcher
In: | lib/action_controller/dispatcher.rb
Parent: | Object

Dispatches requests to the appropriate controller and takes care of reloading the app after each request when Dependencies.load? is true.

### Methods

_call call cleanup_application define_dispatcher_callbacks dispatch dispatch dispatch_cgi flush_logger new reload_application run_prepare_callbacks to_prepare

### Included Modules

ActiveSupport::Callbacks

### Public Class methods

cleanup_application()
define_dispatcher_callbacks(cache_classes)
dispatch(cgi = nil, session_options = CgiRequest::DEFAULT_SESSION_OPTIONS, output = $stdout)

DEPRECATE: Remove CGI support

new(output = $stdout, request = nil, response = nil)

DEPRECATE: Remove arguments, since they are only used by CGI

reload_application()
run_prepare_callbacks()
to_prepare(identifier = nil, &block)

Add a preparation callback. Preparation callbacks are run before every request in development mode, and before the first request in production mode.

An optional identifier may be supplied for the callback. If provided, to_prepare may be called again with the same identifier to replace the existing callback. Passing an identifier is a suggested practice if the code adding a preparation block may be reloaded.

### Public Instance methods

_call(env)
call(env)
dispatch()
dispatch_cgi(cgi, session_options)

DEPRECATE: Remove CGI support

flush_logger()

[Validate]